Summary: new curses terminal control library
Name: ncurses
%define version 4.1
Version: %{version}
Release: 13
Copyright: BSD-like
Group: Libraries
Source0: ftp://ftp.clark.net/pub/dickey/ncurses/ncurses-%{version}.tar.gz
Source1: ftp://ftp.clark.net/pub/dickey/ncurses/4.1/patch-%{version}-970913.sh
Patch0: ftp://ftp.clark.net/pub/dickey/ncurses/4.1/ncurses-%{version}-970920.patch.gz
BuildRoot: /tmp/ncurses-root
Provides: libform.so.3.0 libmenu.so.3.0 libncurses.so.3.0 libpanel.so.3.0
#Packager: Timo Karjalainen <timok@iki.fi>
Packager: Toshio Kuratomi <badger@prtr-13.ucsc.edu>

# Note: This package needs patch >= 2.2 in order to build.
%description
The curses library routines give the user a terminal-independent method of
updating character screens with reasonable optimization.  This
implementation is ``new curses'' (ncurses) and is the approved replacement
for 4.4BSD classic curses, which is being discontinued. 

%package devel
Summary: development libraries for ncurses
Group: Development/Libraries

%description devel
This package includes the header files necessary to develop applications
that use ncurses and static libraries.

%changelog
* Sat Sep 20 1997 Toshio Kuratomi <badger@prtr-13.ucsc.edu>

- Updated to ncurses-4.1-970920

* Thu Jul 31 1997 Timo Karjalainen <timok@iki.fi>

- Moved ncurses library from /usr/lib to /lib since f.ex. bash needs this
  library and /usr/lib is not always available at boot time.
- ldconfig is no longer run when building the package.
- termcap.h is now included with devel package. Remove libtermcap-devel
  before installing ncurses-devel package.

* Sun Jun 29 1997 Timo Karjalainen <timok@iki.fi>

- Package now provides the 3.0 versions of the libraries so that rpm won't
  complain about missing dependencies when upgrading from older ncurses.

%prep
%setup
sh ${RPM_SOURCE_DIR}/patch-4.1-970913.sh
%patch0 -p1

find . -name "*.orig" -print | xargs rm -f

%build

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=/usr --with-normal --with-debug --with-shared \
	--with-profile --with-install-prefix=${RPM_BUILD_ROOT} \
	--with-gpm --enable-symlinks --includedir=/usr/include/ncurses 

make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/lib
make install

ln -sf ../l/linux $RPM_BUILD_ROOT/usr/share/terminfo/c/console
for I in curses eti form menu ncurses panel term termcap unctrl; do
	ln -sf ncurses/$I.h $RPM_BUILD_ROOT/usr/include/$I.h
done
mv $RPM_BUILD_ROOT/usr/lib/libncurses.so.* $RPM_BUILD_ROOT/lib
ln -sf /lib/libncurses.so.%{version} $RPM_BUILD_ROOT/usr/lib/libncurses.so

for I in libform libmenu libpanel; do
	ln -sf $I.so.%{version} $RPM_BUILD_ROOT/usr/lib/$I.so.3.0
done
ln -sf /lib/libncurses.so.%{version} $RPM_BUILD_ROOT/usr/lib/libncurses.so.3.0

# Is this still necessary?
# remove the linux terminfo entries 
# (broken on sparc, see termfiles_sparc pkg)
%ifarch sparc
rm -rf $RPM_BUILD_ROOT/usr/share/terminfo/l/linux
rm -rf $RPM_BUILD_ROOT/usr/share/terminfo/l/linux-m
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc ANNOUNCE NEWS README TO-DO announce.html ncurses.lsm
/lib/*
/usr/bin/*
/usr/lib/*.[01]
/usr/lib/terminfo
/usr/man/man[157]/*
/usr/share/*

%files devel
%doc c++ test
%doc misc/hackguide.html misc/ncurses-intro.html
/usr/include/*
/usr/lib/*.a
/usr/lib/*.so
/usr/man/man3/*
